QT       += core gui

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

CONFIG += c++23

QMAKE_CXXFLAGS += -std=c++23

# You can make your code fail to compile if it uses deprecated APIs.
# In order to do so, uncomment the following line.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0

INCLUDEPATH += .  libwin

linux {
    #LIBS += -lpigpio -lpigpiod_if2 -lrt
    # FIXME SOURCES +=
}

windows
{
   #LIBS += -L$$PWD/can_api -lmhstcan -lAdvapi32
}

# You can make your code fail to compile if it uses deprecated APIs.
# In order to do so, uncomment the following line.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0

SOURCES += \
    aalegacy.cpp \
    bc.cpp \
    bcanimateddelegate.cpp \
    bcdeviceview.cpp \
    bcdriver.cpp \
    bcdrivertinycan.cpp \
    bcguihelpers.cpp \
    bctransmitter.cpp \
    bcvalue.cpp \
    bcvaluemodel.cpp \
    bcxmlloader.cpp \
    libwin/can_drv_win.c \
    libwin/mhs_can_drv.c \
    main.cpp \
    bcmainwindow.cpp

HEADERS += \
    bc.h \
    bcanimateddelegate.h \
    bcdeviceview.h \
    bcdriver.h \
    bcdrivertinycan.h \
    bcguihelpers.h \
    bcmainwindow.h \
    bctransmitter.h \
    bcvalue.h \
    bcvaluemodel.h \
    bcxmlloader.h

FORMS += \
    bcmainwindow.ui

# Default rules for deployment.
qnx: target.path = /tmp/$${TARGET}/bin
else: unix:!android: target.path = /opt/$${TARGET}/bin
!isEmpty(target.path): INSTALLS += target

RESOURCES += \
    bionxcontrol.qrc
